Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class PrivateKeyInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.PrivateKeyInfo

All Implemented Interfaces:
  DEREncodable, PKCSObjectIdentifiers

public class PrivateKeyInfo
extends ASN1Encodable
implements PKCSObjectIdentifiers

Field Summary

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers
`bagtypes, canNotDecryptAny, certBag, crlBag, data, des_EDE3_CBC, dhKeyAgreement, digestAlgorithm, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_encrypKeyPref, id_aa_signingCertificate, id_alg_PWRI_KEK, id_ct, id_ct_compressedData, id_ct_TSTInfo, id_hmacWithSHA1, id_PBES2, id_PBKDF2, keyBag, md2, md2WithRSAEncryption, md4, md4WithRSAEncryption, md5, md5WithRSAEncryption, pbeWithMD2AndDES_CBC, pbeWithMD2AndRC2_CBC, pbeWithMD5AndDES_CBC, pbeWithMD5AndRC2_CBC, pbeWithSHA1AndDES_CBC, pbeWithSHA1AndRC2_CBC, pbeWithSHAAnd128BitRC2_CBC, pbeWithSHAAnd128BitRC4, pbeWithSHAAnd2_KeyTripleDES_CBC, pbeWithSHAAnd3_KeyTripleDES_CBC, pbewithSHAAnd40BitRC2_CBC, pbeWithSHAAnd40BitRC4, pkcs_1, pkcs_12, pkcs_12PbeIds, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, secretBag, sha1WithRSAEncryption, sha224WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509certType`

Constructor Summary
`PrivateKeyInfo(AlgorithmIdentifier algId, DERObject privateKey)`
`PrivateKeyInfo(ASN1Sequence seq)`

Method Summary
`AlgorithmIdentifier` | `getAlgorithmId()`
`DERObject` | `getPrivateKey()`
`DERObject` | `toASN1Object()` write out an RSA private key with it's asscociated information as described in PKCS8.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrivateKeyInfo

    public PrivateKeyInfo(AlgorithmIdentifier algId,
                          DERObject privateKey)

### PrivateKeyInfo

    public PrivateKeyInfo(ASN1Sequence seq)

Method Detail

### getAlgorithmId

    public AlgorithmIdentifier getAlgorithmId()

### getPrivateKey

    public DERObject getPrivateKey()

### toASN1Object

    public DERObject toASN1Object()

  write out an RSA private key with it's asscociated information as described in PKCS8.

            PrivateKeyInfo ::= SEQUENCE {
                                    version Version,
                                    privateKeyAlgorithm AlgorithmIdentifier {{PrivateKeyAlgorithms}},
                                    privateKey PrivateKey,
                                    attributes [0] IMPLICIT Attributes OPTIONAL
                                }
            Version ::= INTEGER {v1(0)} (v1,...)

            PrivateKey ::= OCTET STRING

            Attributes ::= SET OF Attribute

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD